%define upstream_name	 Params-Util
%define upstream_version 1.102

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Simple standalone param-checking functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Params/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(Scalar::Util) >= 1.180.0
BuildRequires: perl(Storable)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(XSLoader) >= 0.220.0
BuildRequires: perl(parent)
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl-devel
%{?perl_default_filter}

%description
Params::Util provides a basic set of importable functions that makes checking
parameters a hell of a lot easier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes lib/Params/Util.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{perl_vendorarch}/Params
%{perl_vendorarch}/auto/Params
%{_mandir}/*/*


%changelog
* Sun Nov 26 2023 tv <tv> 1.102.0-5.mga10
+ Revision: 2009933
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.102.0-4.mga9
+ Revision: 1862220
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.102.0-3.mga9
+ Revision: 1795965
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.102.0-2.mga9
+ Revision: 1726991
- Rebuild for perl 5.34

* Tue Nov 03 2020 tv <tv> 1.102.0-1.mga8
+ Revision: 1641925
- update to 1.102

* Fri Oct 23 2020 tv <tv> 1.101.0-1.mga8
+ Revision: 1638731
- update to 1.101

* Thu Oct 22 2020 tv <tv> 1.100.0-1.mga8
+ Revision: 1638348
- update to 1.100

* Wed Jun 17 2020 umeabot <umeabot> 1.70.0-20.mga8
+ Revision: 1595131
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.70.0-19.mga8
+ Revision: 1529021
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 1.70.0-18.mga8
+ Revision: 1432971
- BR perl-ExtUtils-MakeMaker
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.70.0-17.mga7
+ Revision: 1293648
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 1.70.0-16.mga7
+ Revision: 1247437
- rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.70.0-15.mga7
+ Revision: 1166128
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.70.0-14.mga7
+ Revision: 1149099
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.70.0-13.mga7
+ Revision: 1127568
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.70.0-12.mga6
+ Revision: 1031636
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.70.0-11.mga6
+ Revision: 957843
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.70.0-10.mga6
+ Revision: 845068
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.70.0-9.mga6
+ Revision: 840509
- Rebuild for new perl

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-8.mga5
+ Revision: 748802
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.70.0-7.mga5
+ Revision: 733214
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-6.mga5
+ Revision: 685884
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.70.0-5.mga5
+ Revision: 631577
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.70.0-4.mga4
+ Revision: 524120
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.70.0-3.mga4
+ Revision: 430081
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.70.0-2.mga3
+ Revision: 371496
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.70.0-1.mga3
+ Revision: 255287
- update to 1.07

* Wed May 30 2012 jquelin <jquelin> 1.60.0-2.mga3
+ Revision: 251021
- rebuild for perl 5.16

* Mon Mar 05 2012 jquelin <jquelin> 1.60.0-1.mga2
+ Revision: 218790
- update to 1.06

* Wed Jun 15 2011 jquelin <jquelin> 1.40.0-1.mga2
+ Revision: 107286
- update to 1.04

* Sat Jun 11 2011 sander85 <sander85> 1.30.0-2.mga2
+ Revision: 103546
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 13788
- imported package perl-Params-Util

